Bug 301391 - Review Request: odt2txt - Converts an OpenDocument to plain text
Review Request: odt2txt - Converts an OpenDocument to plain text
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafał Psota
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-21 17:37 EDT by Michel Alexandre Salim
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-25 15:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rafalzaq: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2007-09-21 17:37:38 EDT
Spec URL: http://hircus.org/fedora/odt2txt/odt2txt.spec
SRPM URL: http://hircus.org/fedora/odt2txt/odt2txt-0.3-1.fc8.src.rpm
odt2txt is a command-line tool which extracts the text out of
OpenDocument Texts produced by OpenOffice.org, StarOffice, KOffice and

odt2txt is ...

* small
* supports multiple output encodings
* adopts to your locale
* able to substitute common characters which the output charset does
  not contain with ascii look-a-likes
* written in C, has few dependencies
* portable (runs on Linux, *BSD, Solaris, HP-UX, Windows, Cygwin)
Comment 1 Rafał Psota 2007-09-21 18:20:25 EDT
I'll take this one.
Comment 2 Rafał Psota 2007-09-21 18:53:15 EDT
Please update the SRPM. Above specfile is different from that one included in SRPM.
Comment 3 Michel Alexandre Salim 2007-09-21 19:07:54 EDT
Updated, sorry about that
Comment 4 Rafał Psota 2007-09-22 17:30:03 EDT
* rpmlint is silent
* package meets naming and packaging guidelines
* license field matches the actual license
* license is open source-compatible
* source files match upstream
* package builds in mock (F7 x86_64 and devel x86_64)
* BuildRequires are proper
* no shared libraries are present
* owns the directories it creates
* no duplicates in %files
* file permissions are appropriate
* no headers
* no pkgconfig files
* no libtool archives
* not a GUI app
* no scriptlets present

Everything seems to be ok.

Comment 5 Michel Alexandre Salim 2007-09-24 00:09:53 EDT

New Package CVS Request
Package Name: odt2txt
Short Description: Converts an OpenDocument to plain text
Owners: salimma
Branches: F-7 EL-4 EL-5
Cvsextras Commits:

Comment 6 Kevin Fenzi 2007-09-24 12:43:44 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.